import { _decorator, Component, director, instantiate, Node, Prefab, resources, Vec3 } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('edit_test')
export class edit_test extends Component {
    start() {
        resources.load('edit',Prefab,(err,asset)=>{
            if(asset){
                this.inst(asset,this.node);
            }
        });
    }

    update(deltaTime: number) {
        
    }

    public inst(asset: Prefab, root: Node | undefined = undefined, pos: Vec3 = Vec3.ZERO): Node {
        const instObj = instantiate(asset);
        if (root === undefined) {
            director.getScene()?.addChild(instObj);
        } else {
            instObj.setParent(root);
        }
        instObj.setPosition(pos);
        instObj.setScale(Vec3.ONE);
        return instObj;
    }
}


